=== debian/control ===
Source: grub2
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: GRUB Maintainers <pkg-grub-devel@alioth-lists.debian.net>
Uploaders: Felix Zielcke <fzielcke@z-51.de>, Jordi Mallach <jordi@debian.org>, Steve McIntyre <93sam@debian.org>, Julian Andres Klode <jak@debian.org>, Mate Kukri <mate.kukri@canonical.com>
Build-Depends: debhelper-compat (= 13),
 patchutils,
 python3,
 python3-apt,
 python3-pytest,
 flex,
 bison,
 gawk,
 po-debconf,
 help2man,
 texinfo,
 gcc-multilib [i386 any-amd64 any-ppc64 any-sparc],
 xfonts-unifont,
 libfreetype6-dev,
 gettext,
 libdevmapper-dev [linux-any],
 libsdl2-dev [!hurd-any],
 xorriso,
 qemu-system [i386 any-amd64] <!nocheck>,
 cpio [i386 amd64 x32],
 parted [!hurd-any],
 libfuse3-dev [linux-any],
 fonts-dejavu-core,
 liblzma-dev,
 liblzo2-dev,
 lzop,
 dosfstools [any-i386 any-amd64 any-arm64],
 squashfs-tools [any-i386 any-arm any-amd64 any-arm64 any-loong64 any-riscv64],
 wamerican,
 libparted-dev [any-powerpc any-ppc64 any-ppc64el],
 pkgconf,
 bash-completion,
 libefiboot-dev [i386 amd64 x32 armel armhf arm64 riscv64 loong64],
 libefivar-dev [i386 amd64 x32 armel armhf arm64 riscv64 loong64],
Build-Conflicts: autoconf2.13, libzfs-dev, libnvpair-dev
Standards-Version: 3.9.6
Homepage: https://www.gnu.org/software/grub/
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/grub/+git/ubuntu
Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/grub/+git/ubuntu
Rules-Requires-Root: no

Package: grub2
Section: oldlibs
Architecture: any-i386 any-amd64 any-powerpc any-ppc64 any-ppc64el any-sparc any-sparc64
Pre-Depends: ${misc:Pre-Depends}
Depends: grub-pc (= ${binary:Version}) [any-i386 any-amd64] | grub-ieee1275 (= ${binary:Version}) [any-powerpc any-ppc64 any-ppc64el any-sparc any-sparc64], ${misc:Depends}
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy transitional package to handle GRUB 2 upgrades.  It can be
 safely removed.

Package: grub-linuxbios
Section: oldlibs
Architecture: any-i386 any-amd64
Pre-Depends: ${misc:Pre-Depends}
Depends: grub-coreboot (= ${binary:Version}), ${misc:Depends}
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy transitional package that depends on grub-coreboot.

Package: grub-efi
Architecture: any-i386 any-amd64 any-arm64 any-arm any-riscv64 any-loong64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, grub-efi-ia32 (>= ${binary:Version}) [any-i386], grub-efi-amd64 [any-amd64], grub-efi-arm64 [any-arm64], grub-efi-arm (>= ${binary:Version}) [any-arm], grub-efi-riscv64 (>= ${binary:Version}) [any-riscv64], grub-efi-loong64 (>= ${binary:Version}) [any-loong64]
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy package that depends on the grub-efi-$ARCH package most likely
 to be appropriate for each architecture.

Package: grub-common
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: grub2-common (>= 2.14~), ${misc:Depends}
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy transitional package that depends on grub2-common.
 It can be safely removed.

Package: grub2-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gettext-base, python3, python3-apt
Recommends: os-prober
Suggests: multiboot-doc, grub-emu [any-i386 any-amd64 any-powerpc], mtools [any-i386 any-amd64 any-arm any-arm64 riscv64 any-loong64], xorriso, desktop-base, console-setup
Replaces: grub, grub-legacy, grub-common
Breaks: grub-legacy (<< 0.97-83~), grub-common (<< 2.14~)
Provides: grub-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader (common files for version 2)
 This package contains common files shared by the distinct flavours of GRUB.
 The files in this package are specific to GRUB 2, and would break GRUB
 Legacy if installed on the same system.

Package: grub-emu
Architecture: any-i386 any-amd64 any-powerpc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (emulated version)
 This package contains grub-emu, an emulated version of GRUB.  It is only
 provided for debugging purposes.

Package: grub-emu-dbg
Section: debug
Architecture: any-i386 any-amd64 any-powerpc
Depends: ${misc:Depends}, grub-emu (= ${binary:Version}), grub2-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (emulated debug files)
 This package contains debugging files for grub-emu.  You only need these if
 you are trying to debug GRUB using its GDB stub.

Package: grub-pc-bin
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version})
Replaces: grub2 (<< ${source:Version})
Suggests: desktop-base
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS modules)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
  - VESA-based graphical mode with background image support and complete 24-bit
    color set.
  - Support for extended charsets.  Users can write UTF-8 text to their menu
    entries.
 .
 This package contains GRUB modules that have been built for use with the
 traditional PC/BIOS architecture.  It can be installed in parallel with
 other flavours, but will not automatically install GRUB as the active boot
 loader nor automatically update grub.cfg on upgrade unless grub-pc is also
 installed.

Package: grub-pc-dbg
Section: debug
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}, grub-pc-bin (= ${binary:Version}), grub2-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS debug files)
 This package contains debugging files for grub-pc-bin.  You only need these
 if you are trying to debug GRUB using its GDB stub.

Package: grub-pc
Architecture: any-i386 any-amd64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version}), grub-pc-bin (= ${binary:Version}), ucf, ${gfxpayload-depends}
Replaces: grub, grub-legacy, grub2 (<< ${source:Version}), grub-efi-amd64, grub-efi-ia32, grub-coreboot, grub-ieee1275
Conflicts: grub-efi-amd64, grub-efi-ia32, grub-coreboot, grub-ieee1275, grub-xen
Breaks: grub-legacy (<< 0.97-84~)
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS version)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
  - VESA-based graphical mode with background image support and complete 24-bit
    color set.
  - Support for extended charsets.  Users can write UTF-8 text to their menu
    entries.
 .
 This is a dependency package for a version of GRUB that has been built for
 use with the traditional PC/BIOS architecture.  Installing this package
 indicates that this version of GRUB should be the active boot loader.

Package: grub-rescue-pc
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GRUB bootable rescue images, version 2 (PC/BIOS version)
 This package contains three GRUB rescue images that have been built for use
 with the traditional PC/BIOS architecture:
 .
  - grub-rescue-floppy.img: floppy image.
  - grub-rescue-cdrom.iso: El Torito CDROM image.
  - grub-rescue-usb.img: USB image.

Package: grub-coreboot-bin
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version})
Replaces: grub2 (<< ${source:Version}), grub-linuxbios
Conflicts: grub-linuxbios (<< ${source:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (Coreboot modules)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains GRUB modules that have been built for use with
 platforms running the Coreboot firmware.  It can be installed in parallel
 with other flavours, but will not automatically install GRUB as the active
 boot loader nor automatically update grub.cfg on upgrade unless
 grub-coreboot is also installed.

Package: grub-coreboot-dbg
Section: debug
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}, grub-coreboot-bin (= ${binary:Version}), grub2-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (Coreboot debug files)
 This package contains debugging files for grub-coreboot-bin.  You only need
 these if you are trying to debug GRUB using its GDB stub.

Package: grub-coreboot
Architecture: any-i386 any-amd64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version}), grub-coreboot-bin (= ${binary:Version}), ucf
Replaces: grub-legacy, grub2 (<< ${source:Version}), grub-linuxbios, grub-efi-amd64, grub-efi-ia32, grub-pc, grub-ieee1275
Conflicts: grub-legacy, grub-linuxbios (<< ${source:Version}), grub-efi-amd64, grub-efi-ia32, grub-pc, grub-ieee1275, grub-xen
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (Coreboot version)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This is a dependency package for a version of GRUB that has been built for
 use with platforms running the Coreboot firmware.  Installing this package
 indicates that this version of GRUB should be the active boot loader.

Package: grub-efi-ia32-bin
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version}), grub-efi-ia32-unsigned
Breaks: grub-efi-ia32-signed (<< 1+2.12~rc1)
Recommends: grub-efi-ia32-signed [i386], efibootmgr [linux-any]
Replaces: grub2 (<< ${source:Version}), grub-efi
Multi-Arch: foreign
XB-Efi-Vendor: ${efi:Vendor}
Description: GRand Unified Bootloader, version 2 (EFI-IA32 modules)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains GRUB modules that have been built for use with the
 EFI-IA32 architecture, as used by Intel Macs (unless a BIOS interface has
