=== debian/rules ===
#!/usr/bin/make -f
SHELL		:= bash

deb_version		:= $(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
upstream_version	:= $(shell echo $(deb_version) | sed -e "s/-[^-]*$$//")

package		:= grub2

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)

# FIXME: maybe re-enable this for userspace binaries later,
# but we need to make GRUB buildable
export ELF_PACKAGE_METADATA=

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

HOST_CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
# -O3 (default on Ubuntu ppc64el) introduces various -Werror failures, and
# isn't worth it here.
ifneq (,$(filter s390x,$(DEB_HOST_ARCH_CPU)))
HOST_CFLAGS := -Wall -Wno-error=unused-result $(shell dpkg-buildflags --get CFLAGS | perl -pe 's/-O[23]\b/-O1/')
else
HOST_CFLAGS := -Wall -Wno-error=unused-result $(shell dpkg-buildflags --get CFLAGS | perl -pe 's/-O3\b/-O2/')
endif
HOST_LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

include /usr/share/dpkg/pkg-info.mk

# to get new minilzo, with CVE fixes, patched to build with our compiler
BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), \n' -W liblzo2-dev)

export DEB_HOST_ARCH
export HOST_CPPFLAGS
export HOST_CFLAGS
export HOST_LDFLAGS
export TARGET_CPPFLAGS := -Wno-unused-but-set-variable
export TARGET_LDFLAGS := -no-pie

# upstream changed the tests to hard errors instead of skips when not running as root, so mark them
# as expected failure.
ifneq ($(shell id -u), 0)
export DISABLE_HARD_ERRORS := 1
export XFAIL_TESTS := erofs_test ext234_test iso9660_test hfsplus_test ntfs_test reiserfs_test fat_test minixfs_test xfs_test f2fs_test nilfs2_test romfs_test exfat_test udf_test hfs_test jfs_test btrfs_test zfs_test luks1_test luks2_test grub_cmd_cryptomount
endif

# Ensure that debhelper doesn't try to set these; we need to be careful
# about HOST_* vs. TARGET_*.
export CPPFLAGS :=
export CFLAGS :=
export LDFLAGS :=

ifeq (,$(shell command -v qemu-system-i386))
with_check := no
else
with_check := yes
endif

confflags = \
	PACKAGE_VERSION="$(deb_version)" PACKAGE_STRING="GRUB $(deb_version)" \
	CC=$(CC) TARGET_CC=$(CC) \
	--libdir=\$${prefix}/lib --libexecdir=\$${prefix}/lib \
	--enable-grub-mkfont \
	--disable-grub-emu-usb \
	--enable-grub-themes \
	--with-dejavufont=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf
substvars =

AUTOGEN_DEB_FILES = config templates preinst postinst postrm dirs install links maintscript bash-completion

BUILD_PACKAGES := $(strip $(shell dh_listpackages))
# REAL_PACKAGES build an actual grub variant (and therefore have both configure
# and build stages). EXTRA_PACKAGES do not build grub but may depend on a
# REAL_PACKAGE (and therefore only have a build stage)
REAL_PACKAGES = grub2-common grub-emu grub-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-efi-arm grub-efi-arm64 grub-efi-riscv64 grub-efi-loong64 grub-ieee1275 grub-firmware-qemu grub-uboot grub-xen
EXTRA_PACKAGES = grub-rescue-pc grub-xen-host

ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
COMMON_PLATFORM := pc
else ifneq (,$(filter powerpc ppc64 ppc64el sparc sparc64,$(DEB_HOST_ARCH_CPU)))
COMMON_PLATFORM := ieee1275
else ifeq (arm,$(DEB_HOST_ARCH_CPU))
COMMON_PLATFORM := uboot
else ifeq (arm64,$(DEB_HOST_ARCH_CPU))
COMMON_PLATFORM := efi-arm64
else ifeq (riscv64,$(DEB_HOST_ARCH_CPU))
COMMON_PLATFORM := efi-riscv64
else ifeq (loong64,$(DEB_HOST_ARCH_CPU))
COMMON_PLATFORM := efi-loong64
else
COMMON_PLATFORM := none
BUILD_PACKAGES += grub-none
endif

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
DEFAULT_CMDLINE := quiet splash
DEFAULT_TIMEOUT := 10
ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
FLICKER_FREE_BOOT := no
else ifeq ($(DEB_HOST_ARCH_CPU),riscv64)
FLICKER_FREE_BOOT := no
else
FLICKER_FREE_BOOT := yes
endif
confflags += --enable-ubuntu-recovery
else
DEFAULT_CMDLINE := quiet
DEFAULT_TIMEOUT := 5
FLICKER_FREE_BOOT := no
endif

ifeq ($(FLICKER_FREE_BOOT),yes)
DEFAULT_TIMEOUT := 0
DEFAULT_HIDDEN_TIMEOUT_BOOL := true
confflags += \
	--enable-quiet-boot \
	--enable-quick-boot \
	--enable-gfxpayload-dynamic \
	--enable-vt-handoff
substvars += \
	-Vgfxpayload-depends="grub-gfxpayload-lists [any-i386 any-amd64]"
else
DEFAULT_HIDDEN_TIMEOUT_BOOL := false
endif

# Secure Boot
debian/stamps/build-grub-efi-ia32 install/grub-efi-ia32: export SB_PLATFORM := i386-efi
debian/stamps/build-grub-efi-ia32 install/grub-efi-ia32: export SB_EFI_NAME := ia32
debian/stamps/build-grub-efi-amd64 install/grub-efi-amd64: export SB_PLATFORM := x86_64-efi
debian/stamps/build-grub-efi-amd64 install/grub-efi-amd64: export SB_EFI_NAME := x64
debian/stamps/build-grub-efi-arm install/grub-efi-arm: export SB_PLATFORM := arm-efi
debian/stamps/build-grub-efi-arm install/grub-efi-arm: export SB_EFI_NAME := arm
debian/stamps/build-grub-efi-arm64 install/grub-efi-arm64: export SB_PLATFORM := arm64-efi
debian/stamps/build-grub-efi-arm64 install/grub-efi-arm64: export SB_EFI_NAME := aa64
debian/stamps/build-grub-efi-loong64 install/grub-efi-loong64: export SB_PLATFORM := loongarch64-efi
debian/stamps/build-grub-efi-loong64 install/grub-efi-loong64: export SB_EFI_NAME := loongarch64
debian/stamps/build-grub-efi-riscv64 install/grub-efi-riscv64: export SB_PLATFORM := riscv64-efi
debian/stamps/build-grub-efi-riscv64 install/grub-efi-riscv64: export SB_EFI_NAME := riscv64
SB_PACKAGE :=
ONLY_BUILD :=
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
generate-grub2-unsigned:
	rm -f debian/files
	sed '1s/^grub2 /grub2-unsigned /' -i debian/changelog
	sed '1s/ grub2$$/ grub2-unsigned/' -i debian/control
	cp debian/changelog debian/changelog.unsigned
	grep-dctrl -r -F Source grub2 debian/control | sed '1s/ grub2$$/ grub2-unsigned/' > debian/control.unsigned
	grep-dctrl -r -F Package '^grub-efi-a.*64$$' debian/control >> debian/control.unsigned
	grep-dctrl -r -F Package '^grub-efi-a.*64.*-bin$$' debian/control >> debian/control.unsigned
	grep-dctrl -r -F Package '^grub-efi-a.*64.*-dbg$$' debian/control >> debian/control.unsigned
	grep-dctrl -r -F Package '^grub-efi-a.*64.*-unsigned$$' debian/control >> debian/control.unsigned
	cp ../grub2_$(DEB_VERSION_UPSTREAM).orig.tar.xz ../grub2-unsigned_$(DEB_VERSION_UPSTREAM).orig.tar.xz
	dch --append -c debian/changelog.unsigned 'Source package generated from src:grub2 using make -f ./debian/rules generate-grub2-unsigned'
	rm -f debian/files
	dpkg-buildpackage -S -d -nc -sa -uc -us \
	--source-option=-I --source-option=-Idebian/control.unsigned --source-option=-Idebian/changelog.unsigned \
	--source-option=-c$(CURDIR)/debian/control.unsigned --changes-option=-c$(CURDIR)/debian/control.unsigned --buildinfo-option=-c$(CURDIR)/debian/control.unsigned \
	--source-option=-l$(CURDIR)/debian/changelog.unsigned --changes-option=-l$(CURDIR)/debian/changelog.unsigned  --buildinfo-option=-l$(CURDIR)/debian/changelog.unsigned $(DPKG_BUILDPACKAGE_OPTIONS)
	rm debian/changelog.unsigned debian/control.unsigned
	rm -f debian/files
	sed '1s/^grub2-unsigned /grub2 /' -i debian/changelog
	sed '1s/ grub2-unsigned$$/ grub2/' -i debian/control

# Submit this build of grub for raw-uefi signing?
ifeq ($(DEB_SOURCE),grub2)
SB_SUBMIT := no
COMPRESSION :=
else
SB_SUBMIT := yes
COMPRESSION := -Zxz
endif
ifeq ($(DEB_HOST_ARCH),amd64)
SB_PACKAGE := grub-efi-amd64
override_dh_builddeb: SB_PLATFORM := x86_64-efi
ifeq ($(SB_SUBMIT),yes)
# on amd64, src:grub2-unsigned builds efi-amd64 (-bin, -dbg, and -unsigned)
ONLY_BUILD := -pgrub-efi-$(DEB_HOST_ARCH) -pgrub-efi-$(DEB_HOST_ARCH)-bin -pgrub-efi-$(DEB_HOST_ARCH)-dbg -pgrub-efi-$(DEB_HOST_ARCH)-unsigned
else
# on amd64, src:grub2 does not build efi-amd64 (-bin, -dbg, and -unsigned)
ONLY_BUILD := -Ngrub-efi-$(DEB_HOST_ARCH) -Ngrub-efi-$(DEB_HOST_ARCH)-bin -Ngrub-efi-$(DEB_HOST_ARCH)-dbg -Ngrub-efi-$(DEB_HOST_ARCH)-unsigned
endif
else ifeq ($(DEB_HOST_ARCH),arm64)
