## grub2 2.14~rc1

=== debian/changelog ===
grub2 (2.14~rc1-1+ub26u04.3) resolute; urgency=medium

  * HEAD @ 280715ec63a3424
    Release 2.14~rc1-2025-10-28 13:19
  * d/patches: rebase
    quick-boot*patch
    vt-handoff.patch

 -- Mark Pryor <pryorm09@gmail.com>  Mon, 10 Nov 2025 10:53:35 -0800
