=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  libdevmapper-dev [linux-any],
  libsdl2-dev [!hurd-any],
  xorriso,
- qemu-system [i386 any-amd64] <!nocheck>,
  cpio [i386 amd64 x32],
  parted [!hurd-any],
  libfuse3-dev [linux-any],
@@ -239,23 +238,24 @@
  use with platforms running the Coreboot firmware.  Installing this package
  indicates that this version of GRUB should be the active boot loader.
 
-Package: grub-efi-ia32-bin
-Architecture: any-i386 any-amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version}), grub-efi-ia32-unsigned
-Breaks: grub-efi-ia32-signed (<< 1+2.12~rc1)
-Recommends: grub-efi-ia32-signed [i386], efibootmgr [linux-any]
-Replaces: grub2 (<< ${source:Version}), grub-efi
-Multi-Arch: foreign
-XB-Efi-Vendor: ${efi:Vendor}
-Description: GRand Unified Bootloader, version 2 (EFI-IA32 modules)
- GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
- cleaner design than its predecessors, and provides the following new features:
- .
-  - Scripting in grub.cfg using BASH-like syntax.
-  - Support for modern partition maps such as GPT.
-  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
-    add-ons can plug in their own script rules and trigger updates by invoking
-    update-grub.
- .
- This package contains GRUB modules that have been built for use with the
- EFI-IA32 architecture, as used by Intel Macs (unless a BIOS interface has
+#Package: grub-efi-ia32-bin
+#Architecture: any-i386 any-amd64
+#Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version}), grub-efi-ia32-unsigned
+#Breaks: grub-efi-ia32-signed (<< 1+2.12~rc1)
+#Recommends: grub-efi-ia32-signed [i386], efibootmgr [linux-any]
+#Replaces: grub2 (<< ${source:Version}), grub-efi
+#Multi-Arch: foreign
+#XB-Efi-Vendor: ${efi:Vendor}
+#Description: GRand Unified Bootloader, version 2 (EFI-IA32 modules)
+# GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
+# cleaner design than its predecessors, and provides the following new features:
+# .
+#  - Scripting in grub.cfg using BASH-like syntax.
+#  - Support for modern partition maps such as GPT.
+#  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
+#    add-ons can plug in their own script rules and trigger updates by invoking
+#    update-grub.
+# .
+# This package contains GRUB modules that have been built for use with the
+# EFI-IA32 architecture, as used by Intel Macs (unless a BIOS interface has
+# been activated).  It can be installed in parallel with other flavours, but
