=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,8 @@
 export HOST_LDFLAGS
 export TARGET_CPPFLAGS := -Wno-unused-but-set-variable
 export TARGET_LDFLAGS := -no-pie
+export DEB_BUILD_OPTIONS=noddebs
+export MAKEFLAGS := -j6
 
 # upstream changed the tests to hard errors instead of skips when not running as root, so mark them
 # as expected failure.
@@ -179,5 +181,3 @@
 else
 # on amd64, src:grub2 does not build efi-amd64 (-bin, -dbg, and -unsigned)
 ONLY_BUILD := -Ngrub-efi-$(DEB_HOST_ARCH) -Ngrub-efi-$(DEB_HOST_ARCH)-bin -Ngrub-efi-$(DEB_HOST_ARCH)-dbg -Ngrub-efi-$(DEB_HOST_ARCH)-unsigned
-endif
-else ifeq ($(DEB_HOST_ARCH),arm64)
