=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
 
-# FIXME: maybe re-enable this for userspace binaries later,
-# but we need to make GRUB buildable
+# Disable ELF metadata injection via the environment
+# TODO: remove me in 26.10
 export ELF_PACKAGE_METADATA=
 
 export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
@@ -19,11 +19,7 @@
 HOST_CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 # -O3 (default on Ubuntu ppc64el) introduces various -Werror failures, and
 # isn't worth it here.
-ifneq (,$(filter s390x,$(DEB_HOST_ARCH_CPU)))
-HOST_CFLAGS := -Wall -Wno-error=unused-result $(shell dpkg-buildflags --get CFLAGS | perl -pe 's/-O[23]\b/-O1/')
-else
 HOST_CFLAGS := -Wall -Wno-error=unused-result $(shell dpkg-buildflags --get CFLAGS | perl -pe 's/-O3\b/-O2/')
-endif
 HOST_LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 include /usr/share/dpkg/pkg-info.mk
@@ -37,14 +33,12 @@
 export HOST_LDFLAGS
 export TARGET_CPPFLAGS := -Wno-unused-but-set-variable
 export TARGET_LDFLAGS := -no-pie
-export DEB_BUILD_OPTIONS=noddebs
-export MAKEFLAGS := -j6
 
 # upstream changed the tests to hard errors instead of skips when not running as root, so mark them
 # as expected failure.
 ifneq ($(shell id -u), 0)
 export DISABLE_HARD_ERRORS := 1
-export XFAIL_TESTS := erofs_test ext234_test iso9660_test hfsplus_test ntfs_test reiserfs_test fat_test minixfs_test xfs_test f2fs_test nilfs2_test romfs_test exfat_test udf_test hfs_test jfs_test btrfs_test zfs_test luks1_test luks2_test grub_cmd_cryptomount
+export XFAIL_TESTS := erofs_test ext234_test hfsplus_test ntfs_test reiserfs_test fat_test minixfs_test xfs_test f2fs_test nilfs2_test romfs_test exfat_test udf_test hfs_test jfs_test btrfs_test zfs_test zfs_zstd_test luks1_test luks2_test grub_cmd_cryptomount
 endif
 
 # Ensure that debhelper doesn't try to set these; we need to be careful
@@ -100,8 +94,6 @@
 DEFAULT_TIMEOUT := 10
 ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
 FLICKER_FREE_BOOT := no
-else ifeq ($(DEB_HOST_ARCH_CPU),riscv64)
-FLICKER_FREE_BOOT := no
 else
 FLICKER_FREE_BOOT := yes
 endif
@@ -118,8 +110,7 @@
 confflags += \
 	--enable-quiet-boot \
 	--enable-quick-boot \
-	--enable-gfxpayload-dynamic \
-	--enable-vt-handoff
+	--enable-gfxpayload-dynamic
 substvars += \
 	-Vgfxpayload-depends="grub-gfxpayload-lists [any-i386 any-amd64]"
 else
@@ -181,3 +172,9 @@
 else
 # on amd64, src:grub2 does not build efi-amd64 (-bin, -dbg, and -unsigned)
 ONLY_BUILD := -Ngrub-efi-$(DEB_HOST_ARCH) -Ngrub-efi-$(DEB_HOST_ARCH)-bin -Ngrub-efi-$(DEB_HOST_ARCH)-dbg -Ngrub-efi-$(DEB_HOST_ARCH)-unsigned
+endif
+else ifeq ($(DEB_HOST_ARCH),arm64)
+SB_PACKAGE := grub-efi-arm64
+override_dh_builddeb: SB_PLATFORM := arm64-efi
+ifeq ($(SB_SUBMIT),yes)
+# on amd64, src:grub2-unsigned builds efi-arm64 (-bin, -dbg, and -unsigned)
